<div class="modal-header">
    <h5 class="modal-title">Anmeldungen</h5>
  <button type="button" class="close" aria-label="Close" (click)="bsModalRef.hide()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <small class="text-warning">Es werden nur Benutzer angezeigt, die für das Projekt angemeldet sind.</small>
  <div *ngIf="users && users.length == 0">
    <alert type="info">Es sind noch keine Anmeldungen zum Projekt vorhanden.</alert>
  </div>
  <table class="table table-sm table-striped mt-2" *ngIf="users && users.length > 0">
    <thead>
      <tr>
        <th>Name</th>
        <th>Status</th>
        <th>Anwesenheit</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let user of users">
        <td>{{user.firstName}} {{user.lastName}}</td>
        <td *ngIf="user.announcements">
          <span class="badge badge-pill " [ngClass]="{'badge-success': user.announcements[0].status, 'badge-danger': !user.announcements[0].status}">
              <!--<span *ngIf="announcement.announcements[0].status" class="d-none d-md-block">angemeldet</span>-->
              <span *ngIf="user.announcements[0].status"><i class="fas fa-check"></i></span>
              <!--<span *ngIf="!announcement.announcements[0].status" class="d-none d-md-block">abgemeldet</span>-->
              <span *ngIf="!user.announcements[0].status"><i class="fas fa-times"></i></span>
        </span>
        <div class="small">{{user.announcements[0].comment}}</div>
      </td>
      <td *ngIf="!user.announcements">
        <span class="badge badge-pill badge-warning">
          <span><i class="fas fa-question"></i></span>
          <!--<span class="d-none d-md-block">ohne Rückmeldung</span>-->
        </span>
      </td>
      <!--<td>
        <span class="badge badge-info float-right"><ng-container *ngFor="let register of user.registers; last as isLast">{{register.shortcut}} <ng-container *ngIf="!isLast">, </ng-container></ng-container></span>
      </td>-->
      <td>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" (change)="changeAttendance(user, true)" [checked]="user.attendance.length > 0 && user.attendance[0].status" name="attendanceRadioOptions{{user.id}}" id="attendanceRadio1{{user.id}}">
          <label class="form-check-label" for="attendanceRadio1{{user.id}}">Da</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" (change)="changeAttendance(user, false)" [checked]="user.attendance.length > 0 && !user.attendance[0].status" name="attendanceRadioOptions{{user.id}}" id="attendanceRadio2{{user.id}}" >
          <label class="form-check-label" for="attendanceRadio2{{user.id}}">Nicht da</label>
        </div>
      </td>
    </tr>
  </tbody>

</table>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-secondary" (click)="bsModalRef.hide()">Schließen</button>
</div>
